XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Collections.IEnumerable System.Xml.IXmlNamespaceResolver

Resolves, adds, and removes namespaces in a collection and provides scope management for these namespaces. This class is used by the and classes.

This class stores prefixes and namespaces as unique objects.

assumes all prefixes and namespaces are valid.

If the prefix and namespace already exist within the current scope, they will replace the existing prefix/namespace combination. The same prefix and namespace combination can exist across different scopes.

The following prefix/namespace pairs are added by default to the . They can be determined at any scope.

Prefix
Namespace
xmlns
http://www.w3.org/2000/xmlns/ (the xmlns prefix namespace)
xml
http://www.w3.org/XML/1998/namespace (The XML namespace)
. The empty namespace can be reassigned a different prefix. For example, xmlns="" defines the default namespace to be the empty namespace.
- Constructor
  The to use.

  Constructs and initializes a new instance of the class.

  is used to look up prefixes and namespaces.

  is .
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` A specifying the prefix to associate with the namespace being added. Use to add a default namespace. A specifying the namespace to add. To be added.

  Adds the given namespace to the collection of namespaces maintained by the current instance in .

  The same prefix and namespace combination can exist across different scopes.

  As described above.

  This method assumes all prefixes and namespaces are valid but does not check and for conformance to the W3C specification.

  If the specified prefix/namespace combination already exists within the current scope, their instances will be replaced in with the new instances of and .

  Override this method to check and for conformance to the W3C specification.

  is "xml" or "xmlns".

  is , or is .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the namespace URI for the default namespace.

  A containing the namespace URI for the default namespace, or if there is no default namespace.

  This property is read-only.

  As described above.

  This method is equivalent to calling ().

  Override this property to customize the behavior of this property in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Provides support for iteration over the collection of namespaces maintained by the current instance.

  A .

  As described above.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to iterate through the collection of namespaces in .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.Generic.IDictionary<System.String,System.String> `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` A containing the prefix of the namespace to find.

  Gets a value indicating whether the supplied prefix has a namespace defined for the current pushed scope.

  A where indicates there is a namespace defined; otherwise, . If is , returns .

  As described above.

  When is set to , this method returns to indicate a default empty namespace is defined in the current scope.

  Override this method to customize the behavior of this method in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A containing the prefix whose namespace URI to resolve. To match the default namespace, pass .

  Gets the namespace URI associated with the specified prefix.

  A containing the namespace URI for , or if there is no mapped namespace.

  As described above.

  Override this method to customize the behavior of this method in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A containing the namespace to resolve for the prefix.

  Gets the prefix associated with the given namespace URI.

  A containing the matching prefix. If there is no mapped prefix, this method returns . If a value is supplied, then is returned.

  As described above.

  Override this method to customize the behavior of this method in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlNameTable

  Gets the name table used by the current instance to look up prefixes and namespace URIs.

  The used by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Pops a namespace scope off the stack.

  A where indicates a namespace scope was popped off the stack; indicates there were no namespaces scopes to pop.

  As described above.

  This method removes all the namespaces that were added to the collection (by calling ) since the last call to the method.

  Override this method to customize the behavior of this method in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Pushes a namespace scope onto the stack.

  As described above.

  This method associates the pushed namespace scope with all the namespaces added to the collection (by calling ) since the last call to the method.

  Override this method to customize the behavior of this method in types derived from the class.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` A specifying the prefix. A specifying the namespace to remove. To be added.

  Removes the specified namespace associated with the specified prefix from the namespace collection maintained by the current instance.

  As described above.

  The namespace removed is from the current namespace scope. Namespaces outside the current scope are ignored. If or does not exist in the collection, this method simply returns.

  Override this method to customize the behavior of this method in types derived from the class.

  is , or is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IDictionary `` To be added. To be added. To be added. To be added. 1.0.5000.0
0